Subject: Re: non-public bitmap conversions

From: "Thomas B. Ridgeway" <[email-masked]>
Date: Fri, 17 May 91 08:22:37 PDT

Steve Simpson writes:
> SOLUTION: Somebody should write public-domain software to convert the
> bitmaps from a non-public-domain package, such as ETEN.  We could not
> distribute ETEN bitmaps by anonymous ftp, but the conversion software
> could be distributed in this way.  The entry-level version of ETEN is
> cheap, well under $100, so each site could afford to buy their own
> copy.  This would seem to be a practical solution.
>
  I have examined a 24x24 set of fonts from some version of ETEN;
  the font format is identical to the cclib.24 format/JIS 24x24 format,
  so the poorman's font conversion--> metafont would not need to
  be modified to accomplish the conversion.  I was looking at a
  the file stdfont.24 --- it appears to me that the layout of
  characters in the font is non-identical to the layout of characters
  in the big5 bdf font deriving from HKU.  Perhaps someone with a
  greater facility with Chinese than my own could comment on this.
  There were three other font files in the ETEN version I looked at,
  spcfont.24 and spcfsupp.24 which were the same format, and ascfont.24
  which is a 16x24 format and trivially different to accomodate.

  In short, if someone were able to provide a detailed description of
  the encoding used in the layout of the fonts (and if we are are able
  to determine that the layout is the same in different versions
  of the ETEN system) speaking purely from the poorman's TeX side of
  things it is definitely do-able, and with virtually no need for
  software changes.

  I would assume the legalities bear solely on the license issued with
  the ETEN software, since font bitmaps are not subject to copyright.

cheers,

Tom

--
- - - - - - - - - - - - - - - - - - - - - - - - - - - -
Thomas Ridgeway, Director,
Humanities and Arts Computing Center/NorthWest Computing Support Center
35 Thomson Hall, University of Washington, DR-10
Seattle, WA 98195   phone: (206)-543-4218            *  Ask me about  *
Internet: [email-masked]      *    Unix TeX    *
- - - - - - - - - - - - - - - - - - - - - - - - - - - - -